Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

IDS 4.1 to IPS 5.0 convertion

I am trying to convert IDS 4250 to IPS 5.0 verstion I am downloaded IPS-K9-maj-5.0-1-s149 and ran the command from the IDS cli and i got following error message

Error Converting config : Install aborted

Erro: Exception Error: -commin curren config -:validate error for the component "signatureDefination" and the instance "sing0"

/signatures/[sig-id=2001,subsig-id=1]/engine/--the union does not have a member selected

I get severral error like above with different sigid .

any idea what do i need to do to fix this.

Altaf

8 REPLIES
New Member

Re: IDS 4.1 to IPS 5.0 convertion

What 4.1 version are you upgrading from? You should be upgrading from at least 4.1(4)S151.

New Member

Re: IDS 4.1 to IPS 5.0 convertion

I am running versoin 4.1(5)189.

New Member

Re: IDS 4.1 to IPS 5.0 convertion

You're going to need to reset your signatures, then upgraqde.

If you pushed out your configs from VMS, you can do the following:

sensor# conf t

sensor(config)# service virtual-sensor-configuration virtualSensor

sensor(config-vsc)# reset-signatures

Then upgrade, then re-apply your config.

New Member

Re: IDS 4.1 to IPS 5.0 convertion

I will try your solution . I am doing upgrade from the IDS sensor itself . I am not using VMS. If i reset my signatures, will it erase all the filters ? Thanks

Altaf

New Member

Re: IDS 4.1 to IPS 5.0 convertion

I tried your solution and then try to upgrade it to 5.0 signatures and i still get same error messages.

New Member

Re: IDS 4.1 to IPS 5.0 convertion

You might be running into CSCsb91681. Try installing a sig update like S191 or S192. This will ensure the /usr/cids/idsRoot/var/updates/50sig/50Sig.tar.gz file exists, which is needed to upgrade to 5.0

Mario

Gold

Re: IDS 4.1 to IPS 5.0 convertion

I just upgraded about 20 sensors today and had the same problem on a couple. One I had to actually boot from the recovery image in order to apply the update. The others I applied a later signature update (I was on 190) and then it worked. You will not lose filters by setting the signatures to default. You may find that the upgrade forces you to remove filters though if you're using variables. I got errors about the $USER-ADDRS1 variable so I ended up having to remove it and the filters based on it.

New Member

Re: IDS 4.1 to IPS 5.0 convertion

I upgrade it to version s(196) and it worked. I think if you upgrade it from version s(189) it does not work. Thanks for your help

213
Views
5
Helpful
8
Replies
CreatePlease login to create content